import { HTMLAttributes } from 'react';
import { VariantProps } from 'class-variance-authority';
declare const skeletonVariants: (props?: ({
    variant?: "text" | "block" | "card" | "avatar" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string;
export type SkeletonProps = HTMLAttributes<HTMLDivElement> & VariantProps<typeof skeletonVariants> & {
    animated?: boolean;
};
export declare const Skeleton: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & VariantProps<(props?: ({
    variant?: "text" | "block" | "card" | "avatar" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string> & {
    animated?: boolean;
} & import('react').RefAttributes<HTMLDivElement>>;
export {};
